ru.bitel.bgbilling.kernel.tariff.option.server.bean

## Class ContractTariffOptionList.OptionItem

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
  - - ru.bitel.bgbilling.kernel.tariff.option.server.bean.ContractTariffOptionList.OptionItem

- Enclosing class:
    ContractTariffOptionList

      public static final class ContractTariffOptionList.OptionItem
      extends ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

  `AbstractPeriodItemSet.PeriodItem#id` - это ID опции из справочника.
  `contractOptionId` - ID активированной тарифной опции.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `contractOptionId` ID активированной тарифной опции.

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

      `id, timeFrom, timeTo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionItem(int optionId, int contractOptionId, java.util.Date timeFrom, java.util.Date timeTo)`
    `OptionItem(int optionId, int contractOptionId, long timeFrom, long timeTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### contractOptionId

          public final java.lang.Integer contractOptionId

      ID активированной тарифной опции.

  - ### Constructor Detail

    - #### OptionItem

          public OptionItem(int optionId,
                            int contractOptionId,
                            java.util.Date timeFrom,
                            java.util.Date timeTo)

    - #### OptionItem

          public OptionItem(int optionId,
                            int contractOptionId,
                            long timeFrom,
                            long timeTo)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`